/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\Jormundgand\Mobiles\Regular\WaterVortex.cs
Lines of code: 82
***********************************************************/


using System;
using System.Collections;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a vortex corpse" )]
	public class WaterVortex : BaseCreature
	{
	
		[Constructable]
		public WaterVortex() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a water vortex";
			Body = 199;
			Hue = 32314;
			BaseSoundID = 278;

			SetStr( 151, 225 );
			SetDex( 1000, 1500 );
			SetInt( 176, 180 );

			SetHits( 122, 210 );

			SetDamage( 10, 15 );

			SetDamageType( ResistanceType.Physical, 10 );
			SetDamageType( ResistanceType.Fire, 10 );
			SetDamageType( ResistanceType.Cold, 10 );
			SetDamageType( ResistanceType.Poison, 10 );
			SetDamageType( ResistanceType.Energy, 60 );

			SetResistance( ResistanceType.Physical, 70, 85 );
			SetResistance( ResistanceType.Fire, 70, 85 );
			SetResistance( ResistanceType.Cold, 40, 60 );
			SetResistance( ResistanceType.Poison, 50, 70 );
			SetResistance( ResistanceType.Energy, 20, 30 );

			SetSkill( SkillName.Wrestling, 120 );
			SetSkill( SkillName.Tactics, 120 );
			SetSkill( SkillName.MagicResist, 110.1, 125.0 );
			SetSkill( SkillName.Anatomy, 120);
		
			Fame = 7500;
			Karma = -7500;
		}
		
		public override void OnDeath( Container c )
		{
			if ( Utility.Random( 20 ) == 0 )
			{		
				Item item;

				switch ( Utility.Random( 1 ))
				{
								default:
					case 1: item = new MinionKey(); break;
							}

				c.DropItem( item );
			}

			base.OnDeath( c );
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Rich );
			AddLoot( LootPack.Gems, 7 );
		}
		public override bool BleedImmune{ get{ return true; } }
		public override Poison PoisonImmune{ get{ return Poison.Lethal; } }
		public override bool ReacquireOnMovement{ get{ return true; } }
		public override bool Unprovokable{ get{ return true; } }
		public override bool IsMLCreature { get { return true;} } 

		public WaterVortex( Serial serial ) : base( serial )
		{
		}
		
		public override bool OnBeforeDeath()
		{
			Body = 16;
			return base.OnBeforeDeath();
		}	

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}